Subject: Re: [Bitcoin-development] On-going data spam

From: Jay F <[email-masked]>
Date: Tue, 9 Apr 2013 04:17:13 -0700

On 4/9/2013 4:09 AM, Peter Todd wrote:
> On Tue, Apr 09, 2013 at 12:42:12PM +0200, Mike Hearn wrote:
>> hack by changing the protocol. Nodes can serve up blocks encrypted under a
>> random key. You only get the key when you finish the download. A blacklist
> NAK
>
> Makes bringing up a new node dependent on other nodes having consistent
> uptimes, particularly if you are on a low-bandwidth connection.
>
>> can apply to Bloom filtering such that transactions which are known to be
>> "abusive" require you to fully download the block rather than select the
>> transactions with a filter. This means that people can still access the
> NAK
>
> No blacklists
>
It depends on how clever the spammers get encoding stuff. If law 
enforcement forensic tools can pull a jpeg header + child porn out of 
the blockchain, then there's a problem that needs mitigation.